<?php
/*
 * Custom Controls for customizers
 */
if(!function_exists('trainify_framework_customize_control_register')){

	function trainify_framework_customize_control_register($wp_customize){

		require_once trainify_framework_file_directory('customizer/controls/tff-theme-information-control.php');	
		require_once trainify_framework_file_directory('customizer/controls/tff-customizer-icons-control.php');	
		require_once trainify_framework_file_directory('customizer/controls/tff-customizer-message-control.php');		
		require_once trainify_framework_file_directory('customizer/controls/tff-customizer-repeater-control.php');
		require_once trainify_framework_file_directory('customizer/controls/tff-customizer-imageoptions-control.php');
		require_once trainify_framework_file_directory('customizer/controls/tff-customizer-termslist-control.php');
		require_once trainify_framework_file_directory('customizer/controls/tff-customizer-switch-control.php');

		$wp_customize->register_control_type('TrainifyFramework_Customize_Imageoptions_Control');
		
	}

}

add_action('customize_register', 'trainify_framework_customize_control_register');